# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration

require 'bundler'
require 'attr_pouch'

conn = Sequel.connect(ENV['DATABASE_URL'])
conn.run 'CREATE EXTENSION IF NOT EXISTS "hstore"'

conn.extension :pg_hstore
conn.extension :pg_json

Sequel.extension :pg_hstore_ops
Sequel.extension :pg_json_ops

conn.run 'CREATE EXTENSION IF NOT EXISTS "hstore"'
conn.run 'DROP TABLE IF EXISTS items'
conn.run <<-EOF
CREATE TABLE items(
  id serial primary key,
  attrs_hstore hstore default '',
  attrs_json json default '{}',
  attrs_jsonb jsonb default '{}'
);
CREATE INDEX items_hstore_idx ON items USING gin (attrs_hstore);
CREATE INDEX items_jsonb_idx ON items USING gin (attrs_jsonb);
EOF

RSpec.configure do |config|
  config.run_all_when_everything_filtered = true
  config.filter_run :focus

  config.before(:example) do
    conn.run 'TRUNCATE items'
  end

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'

  config.expect_with :rspec do |c|
    c.syntax = :expect
  end
end

